<?php

/**
 * Implementation of hook_content_default_fields().
 */
function og_privacy_atrium_content_default_fields() {
  $fields = array();

  // Exported field: field_og_privacy_atrium_allow
  $fields['group-field_og_privacy_atrium_allow'] = array(
    'field_name' => 'field_og_privacy_atrium_allow',
    'type_name' => 'group',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      '5' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '2' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '3' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '1',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => 'default|Use Group Settings
private|Per Node Privacy: Default Private
public|Per Node Privacy: Default Public',
    'allowed_values_php' => '',
    'widget' => array(
      'default_value' => array(
        '0' => array(
          'value' => 'default',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Per Node Privacy Settings',
      'weight' => '1',
      'description' => 'Use advanced privacy settings. Group settings are uniformly open to the Library or restricted to group members. The other options add a toggle on every group post form to set whether the post will be visible to non-group members.',
      'type' => 'optionwidgets_select',
      'module' => 'optionwidgets',
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Per Node Privacy Settings');

  return $fields;
}
