<?php

/**
 * Implementation of hook_mark_default_marks().
 */
function og_privacy_atrium_mark_default_marks() {
  $export = array();
  $mark = new stdClass;
  $mark->disabled = FALSE; /* Edit this to true to make a default mark disabled initially */
  $mark->api_version = 1;
  $mark->name = 'og_privacy_atrium_public_node';
  $mark->basetable = 'node';
  $mark->settings = array(
    'title' => 'og_privacy_atrium_public_node',
    'mark_text' => 'Make Post Public',
    'mark_confirm_text' => 'The post will be viewable by non-group members.',
    'unmark_text' => 'Make Post Private',
    'unmark_confirm_text' => 'The post will be viewable only by group members.',
    'global' => 1,
    'form_widget' => 1,
    'form_widget_advanced' => array(
      'show_message' => 1,
      'allowed_types' => array(
        'book' => 0,
        'casetracker_basic_case' => 0,
        'blog' => 0,
        'event' => 0,
        'group' => 0,
        'presentation' => 0,
        'profile' => 0,
        'casetracker_basic_project' => 0,
        'shoutbox' => 0,
        'project_ticket' => 0,
        'feed_ical_item' => 0,
        'feed_ical' => 0,
      ),
    ),
  );

  $export['og_privacy_atrium_public_node'] = $mark;
  return $export;
}
